Why is the COBOL2 library needed to be specified during the CA Easytrieve product installation in the EZTSEDIT member in your CBAAJCL library?

Document ID : KB000016242
Last Modified Date : 14/02/2018
Show Technical Document Details
Question:

Why is the COBOL2 library needed to be specified during the CA Easytrieve product installation in the EZTSEDIT member in your SAMPJCL library to later be used in the EZT4APP member of the SAMPJCL?

Answer:

Regarding needing the COBOL2 library which is linked into the C$AB002 compatibility FMID, the comment in the EZTSEDIT member of the SAMPJCL library indicates that the COBOL2 library must be specified for the LNKLIB3DSN value IF a CA Easytrieve program will be calling a COBOL2 program in compatibility mode under release 11.6.  

This revision is unnecessary IF a COBOL2 program won't be called in compatibility mode. 

The reason for the LNKLIB3DSN parameter is because when CA Easytrieve release 11.x was designed, it was designed to link in IBM's current version of the module instead of linking in our copy. And, because of that, during the installation, it looks for the IGZEBST module and therefore needs the COBOL2 library specified. 

Additional Information:

These are the comments in the EZTSEDIT member:

/*   LNKLIB3DSN - Enter the entire Data Set Name of one of these   libraries:                       */

/*               1) If you will running Easytrieve with NEWFUNC=NO  in the Options Table, and   */

/*                   if you will be calling very old COBOL 2 programs from your Easytrieve            */

/*                   programs, enter the DSN of your COB2LIB (this is the SYSLIB for COBOL2      */

/*                   Linkedits).                                                                                                 */

/*               2) If not doing all the above, enter the ENTIRE DSN of the Easytrieve                 */

/*                   DISTLIB, which is...  PRODHLQ.ABAALOAD                                                   */